package com.nantian.cloud.jljc.mapper;



import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jljc.entity.DictRegion;
import com.nantian.cloud.jljc.vo.Query;
import com.nantian.cloud.jljc.vo.TreeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *行政区划字典表
 * @author scott
 * @since 2020-08-13
 */
@Mapper
public interface DictRegionMapper extends BaseMapper<DictRegion> {

    DictRegion getNameByCode(DictRegion dictRegion);

    List<TreeVo> getDictRegionTreee();

    //获取州市列表
    List<DictRegion> getCityRegion();
    List<DictRegion> getDictRegion();

    //获取行政区划树形结构
    List<TreeVo> getDictRegionTreeeScope(@Param("query") Query query);
    List<TreeVo> getDictRegionTreeDataScope(@Param("query") Query query);

    //根据地区编码，获取多级编码
    List<String> getAreaTmp(@Param("area") String area);

    //模糊查询地区编码
    String selectLRegion(@Param("area") String currentCellValue);
}
